Black Box Glide And Switch Configuration Application

Black Box Glide And Switch Black Box Glide And Switch Configuration Application
Overview

Black Box Glide And Switch switches allow multiple computers to be switched seamlessly simply by moving the mouse pointer over screen boundaries. In order to co-ordinate this movement, the switch needs to know what resolution the screens are, where these screens are in relation to one another and which sections of their edges are abutting.

This information will be derived by the Black Box Glide And Switch Configuration Application from a user-created layout. Screens are placed on the layout with their edges overlapping by the appropriate proportion (the absolute size of the screens is not important).

Each screen may also provide resolution information using the property dialogue-boxes which are accessed by double-clicking on the screen or using the right-click menu.

The switch also allows a number of parameters to be defined:

  • Mouse Parameters: Acceleration.
  • Mouse Parking Position.
  • Switch Parameters: Enable/disable Black Box Glide And Switch, Start-up Port and Switch Mode.
  • The configuration of the (optional) LED module.
In addition, the communications between the configuration application's PC and the switch may need to be set-up to the correct RS232/COM port and baud rate.

Once the layout is complete it can be sent to the switch. The layout on the switch can be retrieved and displayed in the application.

Layouts can be saved and opened as files. By default these use an FFC extension. These files allow the screens to be named (or given a description) although this name is ignored by the switch and cannot, therefore, be retrieved from the switch.


Black Box Glide And Switch Configuration Application

Black Box Glide And Switch Black Box Glide And Switch Configuration Application
Usage

The Black Box Glide And Switch Configuration Application allows the configuration of the screen layouts and parameters as well as the switch's parameters. Usually, the switch would be configured in the following sequence:

  1. Connect a serial port on the PC on which the configuration application is running to the Options port of the switch using an optional upgrade cable (VSC40).

  2. Note that if you are using an LED module, connect the options port to the LED module and the LED module to the serial port of the PC. Connect LEDs to the module as required. For further information please refer to the LED module instructions.

  3. When the application is started a blank layout is presented. Use the New menu option or toolbar icon to return to a blank sheet.

  4. Use the 4 computer icons (or Add Screen (Computer n) menu options) to add screens for each computer.

    The application imposes a practical limit on the number of screens each computer can have connected. The screens will be displayed on a clear part of the display. The screens can then be arranged and stretched so that the edge-overlap between adjacent screens is defined.

    Note that any screen which does not overlap another screen will be ignored by the switch.

  5. The screen resolution (and a descriptive name) can be defined for each screen. This is done by double-clicking on the desired screen and filling in the property sheet that will be displayed.

    Note that the name is only used by the configuration application and is ignored by the switch. The property sheet can also be displayed using the context menu which appears using the right mouse button.

    The LED configuration for this screen can also be defined using the LED Setup tab. Select the LED number you require for this screen and, if required, change the LED colour.

    Note that an LED can be assigned to more than one screen (the assignments are listed in the drop-down menu). If you change the LED colour it will be changed for all the assigned screens.

  6. The layout can be saved to disk using the Save and Save As... menu options or toolbar icons.

  7. The layout can be sent to the device via the "Options" cable (using an RS232 serial link). To ensure that the application can communicate with the device, select the correct computer port (only those found by the application and not in-use will be displayed) and baud rate. The default baud rate of 1200 baud will normally work (unless the device has been configured for another value). The layout can then be sent to the switch using the Send Layout To Switch menu option or toolbar icon. This will also send the configuration parameters which can be set via the Mouse... and Switch... menu options.

  8. A layout can be retrieved from a switch using the Receive Layout From Switch menu option.

  9. The Configuration menu allows you to adjust the settings of various elements of the switch set-up.

    • The connection parameters:

    • The mouse acceleration:

    • The mouse parking position:

    • The switch configuration:

    • The default LED parameters:


Black Box Glide And Switch Configuration Application

Black Box Glide And Switch Black Box Glide And Switch Configuration Application
How To ...

The following is list of common activites within the Black Box Glide And Switch Configuration Application:

  • Start A New Layout File
  • Open A Layout File
  • Save A Layout File
  • Add A Screen To The Layout
  • Retrieve A Layout From The Switch
  • Send A Layout To The Switch
  • Configure the Switch

Start A New Layout

Use the File → New menu option or the New icon in the toolbar.
An empty layout will be displayed. If changes have been made to the existing layout, you will be asked whether you wish to save that before continuing.

Open A Layout File

Use the File → Open... menu option or the Open icon in the toolbar.
A standard Windows open dialogue will start. By default layout files have an ffc extension. If the file contains valid data, the layout will be displayed.

Save A Layout File

Use the File → Save menu option or the Save icon in the toolbar.
The application will save the layout in the file from which the layout originated. If it was a new layout, a standard Windows Save dialogue will be produced.
If you wish to save the layout to a different file name, use the Save As... menu option or toolbar icon which will pop-up the Save dialogue immediately.

Add A Screen To The Layout

Use the Screens → Add Screen (Computer n) menu option or the Computer n icon in the toolbar.
A new screen will be displayed at the first available clear space on the display. If there is insufficient space for a screen, increase the window size.
The application sets a practical limit for the number of screens which can be arranged for each computer. If this number of screens is already displayed, no more will be added.

Retrieve A Layout To The Switch

Use the Configure → Receive Layout From Switch menu option.
The layout will grey-out for the duration of the transfer. If the communications fail for any reason, an error dialogue will be displayed. See the Problems & Error Messages page for troubleshooting help.

Send A Layout To The Switch

Use the Configure → Send Layout To Switch menu option or the Send icon in the toolbar.
The layout will grey-out for the duration of the transfer. The mouse and switch parameters will also be sent with the layout. If the communications fail for any reason, an error dialogue will be displayed. See the Problems & Error Messages page for troubleshooting help.

Configure The Switch

There are two sets of configuration parameters for the switch: the mouse parameters and the switch parameters.
The mouse parameters can be set from the Configure → Mouse... menu. This will display a dialogue box in which the mouse acceleration parameter can be adjusted.
The mouse parking position can be set from the Configure → Mouse parking... menu. This will display a dialogue box in which the mouse parking co-ordinates can be adjusted.
The switch parameters can be set from the Configure → Switch... menu which will display a dialogue box from which the enable/disable status of Black Box Glide And Switch can be set, as can the start-up port for the switch and the mode (i.e. the device channels that are switched by the switch).
The LED parameters can be set from the Configure → LEDs... menu which will display a dialogue box from which the default LED configuration can be set (individual LEDs are configured when assigned to screen(s)).


Black Box Glide And Switch Configuration Application

Black Box Glide And Switch Black Box Glide And Switch Configuration Application
Problems & Error Messages

The Black Box Glide And Switch Configuration Application may produce the following messages:

  • Unable to communicate with the device

Unable to communicate with the device

The application was unable to communicate with the switch. Check that the switch is connected and switched on, that the cables are properly connected and that the PC's port is not being used by another application. If this still does not work, check that the correct port is selected and that the baud rate is set to that being used by the switch. If everything appears OK, please check for other possible causes of data corruption - broken cables, cables too long, interference etc.

If communication still fails, it may be that the data sent or expected by either the application or the switch is incorrect. Check that the switch and configuration application are of compatible versions.